
/*
 * Copyright (C) 2010-2023 Oracle and/or its affiliates.
 *
 * This file is part of a free software library; you can redistribute
 * it and/or modify it under the terms of the GNU Lesser General
 * Public License version 2.1 as published by the Free Software
 * Foundation and shipped in the \"COPYING.LIB\" file with this library.
 * The library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY of any kind.
 *
 * Oracle LGPL Disclaimer: For the avoidance of doubt, except that if
 * any license choice other than GPL or LGPL is available it will
 * apply instead, Oracle elects to use only the Lesser General Public
 * License version 2.1 (LGPLv2) at this time for any software where
 * a choice of LGPL license versions is made available with the
 * language indicating that LGPLv2 or any later version may be used,
 * or where a choice of which version of the LGPL is applied is
 * otherwise unspecified.

 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * SPDX-License-Identifier: LGPL-2.1-only
 */

/*
 * PlatformArchitecture.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_7_1;

import org.virtualbox_7_1.jaxws.*;
import javax.xml.ws.*;

/**
Platform architecture.
NOTE: This does not specify the CPU type. See{@link org.virtualbox_7_1.CPUArchitecture}for more information.

Interface ID: <code>{36E21926-1713-413D-8CF5-2F169B2CBCF3}</code>
*/
public enum PlatformArchitecture
{

/**
No platform selected. Never used by the API.
*/
    None(0),

/**
x86-based platform (AMD64 / x86).
Valid CPUArchitecture choices:{@link org.virtualbox_7_1.CPUArchitecture#AMD64},{@link org.virtualbox_7_1.CPUArchitecture#x86}
*/
    x86(1),

/**
ARM-based platform (AArch32, AArch64).
Valid CPUArchitecture choices:{@link org.virtualbox_7_1.CPUArchitecture#ARMv8_32},{@link org.virtualbox_7_1.CPUArchitecture#ARMv8_64}
*/
    ARM(2);

    private final int value;

    PlatformArchitecture(int v)
    {
        value = v;
    }

    public int value()
    {
        return value;
    }

    public static PlatformArchitecture fromValue(long v)
    {
        for (PlatformArchitecture c: PlatformArchitecture.values())
        {
            if (c.value == (int)v)
            {
                return c;
            }
        }
        throw new IllegalArgumentException(Long.toString(v));
    }

    public static PlatformArchitecture fromValue(String v)
    {
        return valueOf(PlatformArchitecture.class, v);
    }
}

